<?php
header('Content-Type: text/html; charset=windows-1251');
/************************************************************* 
 Автор  Ясанкин В Н  июль 2008   версия 1.15
Создает, редактирует и публикует страницу 
запускается  Форма  Список подразделений в режиме админитртора
последние изменения от  15-08-2008
*************************************************************/
//--------------
include "f.php";   //  вставим функции перекодировки  имен файлов и удаления папки
//--------------
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>Структура сайта</title>
<style>
a {color:#254A6C;font-family:tahoma;font-size:12px;font-weight:normal;}
.redlink {color:#B92327;font-family:tahoma;font-size:11px;font-weight:normal;}
.bluelink {color:#254A6C;font-family:tahoma;font-size:11px;font-weight:normal;}
a:hover {color:white;font-family:tahoma;font-size:12px;font-weight:normal;background:black}
</style>
</head>
<?php
if (file_exists(getcwd ( )."/otd/2.txt"))
{
echo '<body leftMargin=0 id=bod topMargin=0  style="overflow:hidden;background:silver;">';
echo '<table id=monoz  border=0 style="width:100%;height:100%;
z-index:3;position:absolute;top:0px;left:0px;">
<tr ><td width=30%>&nbsp;</td><td width=30%  valign=center align=center>
<table border=0 width=400 style="background:white" >
<tr><td><IMG height=60 border=0 src="d~e~f/pas.jpg"></td>
<td  height=30px ><center><b style="color:red" >ВНИМАНИЕ !'.
'</b></center><br>
<ol>
<li>АДМИНИСТРАТОР закрыл сайт для проведения работ по его реорганизации !
<li>Сайт будет доступен после завершения работ!
<li>Для получения сведений обратись к АДМИНИСТРАТОРУ !
<li>Закрой сайт
<li>Открой сайт позже !
</ol>
</td></tr>
</table>
</td><td width=30%>&nbsp;</td></tr></table></body></html>';
die;
}
?>
<body background="d~e~f/bkg.gif" leftMargin=0 id=bod topMargin=0 style="overflow:hidden;" width=100% height=100%>
<table id=h style="z-index:2;opacity:0.3;visibility:hidden;height:110%;width:110%;position:absolute;top:0;left:0;background:black;filter:alpha(opacity=30)"><tr><td>&nbsp;&nbsp;&nbsp;</td><tr></table> 
<div height=100%>
<form id=form action="menu.php" method="post" enctype="multipart/form-data" >
<?php
// по аналогии с загрузкой документа
if (isset($_GET['utf8']))
{$utf8=$_GET['utf8'];}
else
{$utf8="";}
$os=""; // ошибки
$repo=""; // сообщения
$qw="";
// если щелкнул сохранить---------------1 этап-----------V
if (isset ($_REQUEST['stru']))
{$utf8=$_REQUEST['utf8'];
$stt=explode("\r\n", trim($_REQUEST['stru']));    // получим структуру
$filename=getcwd ( )."/menu/pages.txt";
$h = fopen($filename, 'w+') or exit;	        //открыли или  создали файл
if ($stt[count($stt)-1]!='***')                 // если последняя строка не звездочки
{//$os='Последняя строка не ***, введи 3 звезды в последнюю строку и повтори !';
}
{foreach ($stt as $li => $lin)
{// удалим пустые строки
 {if (trim($lin)=="")
  {}  // пропустим пустую и коментарий
  else
  {
  if  (substr($lin, 0, 1)=="*")
  {$qw=$lin."\r\n";}
  else
  {
  $qw=trim(str_replace(" ","_", $lin))."\r\n"; // заменим пробел  на _
  }
  fwrite($h,$qw);     
 }}}}
 fclose($h); 					// закрыли файл
} 
// усли щелкнул  принять-------------2 этап--------------^
// *********************"Обновление структуры"*****************
if (isset($_GET['new']))
{
ini_set('max_execution_time', 900);
$pw=getcwd ( )."/pages";
$s =scandir($pw);	                      // получим  старую структуру
$gr=""; // текст группы
$pgr=""; // текст подгруппы
$str="#";         						  // строка в которой все имена рус/лат новой структуры страниц через #
$sstr="#";         						  // строка в которой все имена лат старой структуры страниц через #
//*************************************************************************************
// cформируем строку  всех имен  старой структуры - имена php файлов в папке pages sstr
//*************************************************************************************
foreach ($s as &$val) 			         
{if ($val != "." && $val != "..")      // ссылки вверх пропустим
 {if  (strstr($val, '.php'))           // ссылку на папку пропустим
  {$sstr=$sstr.trim(str_replace(".php","", $val))."#";
  }}
}

$gr=""; // текст группы
$pgr=""; // текст подгруппы

//*********************************************************************************
// cформируем строку  всех имен новой структуры для этого просмотрим все строки str
//**********************************************************************************
$n = file(getcwd ( )."/menu/pages.txt");  // структуру новую в массив
foreach ($n as &$val) 			         
{if (strpos(" ".$val,">")>0 or substr($val,0,1)=="*" or substr($val,0,1)=="*")
 {if (strpos($val,'/')>0) 				 // если есть титле  в группе или подгруппе
  {list($im1, $tit) = explode('/',$val);
   $tit=trim($tit);}
  else
   {$im1=trim($val);$tit="";}
    if (substr($im1,0,1)==">")  // если группа
  {
    $gr=substr($im1,1)."_"; $pgr="";$pgr1="";$gr1=$gr;
	if (strpos($im1,"=")>0) 
  {
  list($gr1, $gr) = explode('=',$gr);
  } // если в группе изменили наименование
 } 
  if (substr($im1,0,2)=="^>") // если подгруппа
  {
   $pgr=substr($im1,2)."_";
   $pgr1=$pgr;
   if (strpos($pgr,"=")>0) {list($pgr1, $pgr) = explode('=',$pgr); $pgr1=$pgr1."_";} // если в подгруппе изменили наименование
   } 
} // разберемся с страницами
else
{if (strpos($val,'/')>0) 				 // если есть титле
{list($im, $tit) = explode('/',$val);
$tit=trim($tit);}
else
{$im=$val;$tit="";}
$im=trim($im);
$im2=$im;
if (strpos($im,"=")>0)                   // если есть замена имен
{
list($im2, $im) = explode('=',$im); 

}     // Это добавляет к массиву новый   im2 - новое имя im - старое
// контролируем использование символа ^
//echo $val."<br>";

if (substr($val,0,4)=="^^^^")
{$ksv=substr($val,4);//echo $ksv."<br>";
}
else if (substr($val,0,1)=="^")
{$ksv=substr($val,1); //echo $ksv."<br>";
}
else
{$ksv=$val;}

if (strpos(" ".$ksv,'^')>0) 				 // символ не на месте
{$repo=$repo."<b style='color:red'>Символ ^ не может быть в тексте !</b><br> ".$ksv.", удали его. <hr>";}
else
{

if (substr($im2,0,1)!="^") {$gr=""; $pgr=""; $gr1="";$pgr1="";} // кончилась группа и подгруппа
$im=str_replace("^","",$im);
$im2=str_replace("^","",$im2);
$nn=$gr.$pgr.$im;
$nn1= $gr1.$pgr1.$im2;
$nn1=tr($nn1);
$fnn1=$gr.$pgr.str_replace("^","",$im);

if (strpos(" ".$str,'#'.$fnn1.'#')>0)  // сли такое имя ужк есть
{
$repo=$repo."<b style='color:red'>Повторение недопустимо</b><br> ".$fnn1.". <hr>";
}
else
{
//echo $fnn1."<hr>";

if  (substr($fnn1, 0, 1)=="*")
{
$ndps="";
}
else
{
$ndps=ktex($fnn1);
}
if ($ndps<>"")
{
$repo=$repo.'<b style="color:red">Убери '.$ndps." в </b>".$fnn1."<hr>";
}
else
{

$str=$str.$fnn1."#";                    // обавим в список очередное имя рус
$fnn1=tr($fnn1);                        // сформировано новое имя
$str=$str.$fnn1."#";                    // обавим в список очередное имя лат

if ($im==$im2)
{
$str=$str."?#";                    // обавим в список заменное имя
}
else
{
$str=$str.$im2."#";                    // обавим в список заменное имя
}
}
}}
}}
if ($repo=="")
{
//echo $sstr."<br><br>";  //старые имена
//echo $str."<br><br>";   //новые имена 

//*******************************************************************************
// ЖОБАВЛЕНИЕ И УДАЛЕНИЕ  ВНУТРЕННИХ СТРАНИЦ как php файлов и папок в папку PAGES  и файл otd/pages.txt
//*******************************************************************************
// удалим то что есть в старом но нет в новом
$mass=explode("#", $sstr);              // получим массив имен из старых
foreach ($mass as &$val)              // каждый старый 
{
if (strpos(" ".$str,'#'.$val.'#')>0)  // есть в новой ничего не делаем
{}
else                                  //  нет в новой - удалим эти php файлы и папку
{
 $pw=getcwd ( ).'/pages/'.$val;       //  адрес внешней папки
 if (file_exists ($pw))
  {if ($val!="") 
   {full_del_dir($pw);               // удалим  папку если она есть
    $pw=$pw.'.php';			         //   файл страницы
	if (file_exists ($pw)) 
     {unlink ($pw);                  // удалим  файл страницы если он есть
     } 
$repo=$repo."Удалено ".$val."<br>";
}}}}
$filename=getcwd ( )."/otd/page.txt";
$hh = fopen($filename, 'w+') or exit;	        //открыли или  создали файл
fwrite($hh,"Наименование страницы/Файл страницы\r\n");
// создадим то что есть в новом о нет в старом
$mas=explode("#", $str);              // получим массив имен из новых  лат
//echo $str; 
//$masr=explode("#", $strr);              // получим массив имен из новых рус
$k=count($mas)-2;
//  для групп у которых имя закансивается  _   сформируем файл с именем равным имени группы 
for ($i = 1; $i <= $k; $i++) 
{
//echo $mas[$i]."/".$mas[$i+1]."<br>";
if ($mas[$i+2]!="?")   // заменное имя есть
{fwrite($hh,$mas[$i+2]."=".$mas[$i]."/".$mas[$i+1].".htm\r\n");}
else
{fwrite($hh,$mas[$i]."/".$mas[$i+1].".htm\r\n");
}
$pw2=getcwd ( ).'/pages/';                   //  адрес  папки  php файлов
$w = fopen($pw2.$mas[$i+1].".php", 'w') or exit;	 // создали новый файл

if ($mas[$i+2]!="?")   // заменное имя есть
{
//echo $mas[$i+2]."<br>";
$zi=$mas[$i+2];}
else
{$zi=$mas[$i];}
$zi=str_replace("_"," ",$zi);
fwrite($w, 	    
$d=
'<?php '."\r\n".
'include "../begin.htm";'."\r\n".
'echo "'.$zi.'";'."\r\n".
'include "../begin1.htm";'."\r\n".
'echo "'.$zi.'";'."\r\n".
'include "../page_begin.htm";'."\r\n".
'$os="";'."\r\n".
'$ff=getcwd ( )'.".'/".$mas[$i+1]."/".$mas[$i+1].".php';"."\r\n".
'include "../time.php";'."\r\n".
'include "../end.php";'."\r\n".
'?>'
);
fclose($w);                              // записали и закрыли

if (strpos(" ".$sstr,'#'.$mas[$i+1].'#')>0)        // есть в старом ничего не делаем
{}
else                                         //  нет в старом - создадим этот php файлы и папку
{
$pw=getcwd ( ).'/pages/'.$mas[$i+1];     //  адрес внешней папки
if (file_exists ($pw))
{
$repo=$repo.'<b style="color:red">Повторение имени '.$mas[$i+1]."</b><br>";
}
else
{
mkdir($pw);                              // создали папку
$pw1=$pw.'/'.$mas[$i+1];                // адрес внутренней папки
$pw2=$pw.'/contents';                   // адрес внутренней папки  содержимого
mkdir($pw2);                            // создаем внутрение папки
mkdir($pw1);
$w = fopen($pw1."/".$mas[$i+1].".htm", 'w') or exit; fclose($w);
$w = fopen($pw."/".$mas[$i+1].".php", 'w') or exit;	  // создадим файл страницы
fclose($w);
$repo=$repo."Создано ".$mas[$i+1]."<br>";
}
}
$i++;
$i++;
}
fclose($hh);                            // записали и закрыли
}  // конец формирования новых имен
}
?>
<table id=h style="z-index:2;opacity:0.3;visibility:hidden;height:100%;width:100%;position:absolute;top:0;left:0;background:black;filter:alpha(opacity=30)"><tr><td>&nbsp;&nbsp;&nbsp;</td><tr></table> 
<table id=tab border=0 width=100% height=100%><tbody>
<tr><td colspan=3 align=center height=40 style="background:#696969;color:yellow">
<b><big>Добавление, удаление страниц, показываемых в центре главной страницы (внутренних страниц), изменение структуры (дерева) сайта.</big></b>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a  href="help/4.htm#41" target=_blank style="color:white">&nbsp;Справка&nbsp;</a>
</td></tr>
<tr>
<td align=center width=240 height=40 style="background:silver;color:white"><b>Структура&nbsp; (просмотр)</b></td>
<td align=center width=100% style="background:silver;color:white"><b>Файл структуры &nbsp;(редактирвание)</b></td>
<td align=center width=240 style="background:silver;color:white"><b>Руководство&nbsp;(изучение)</b></td>
</tr>
<tr><td valign=top>
<DIV id=k style="OVERFLOW: scroll; HEIGHT: 100%; width:100%;visibility:hidden" align=left scrollTop=0>
<nobr>
<?php
if (isset ($_REQUEST['vis']))
{$vis=$_REQUEST['vis'];}
else
{$vis=";0";}
if (isset ($_REQUEST['r']))
{$r=$_REQUEST['r'];}
else
{$r="";} 
if (strpos($vis,$r.';')>0)  //
{$vis=str_replace($r.';','',$vis);}
else
{$vis=$vis.$r.';';}
$kat=getcwd ( );		 		// рабочий каталог 
$l = file($kat."/menu/pages.txt");
$k=count($l)-1;
//******************************
// Формируем меню  групп 
//*****************************
$gr="";  // имя группы
$pgr=""; // имя подгруппы
$start=false;
$mg[]="";                        // массив страниц и групп которые в горизонт меню
$tgr="";                         // текст группы

for ($i = 0; $i <= $k; $i++)     // просмотрим все строки текстового меню
{
 if (strpos($l[$i],'/')>0)       // если есть всплывающая подсказка
  {list($im, $tit) = explode('/',$l[$i]);
   $tit=trim($tit);}
 else                            // подсказки нет
  {$im=$l[$i];$tit="";}         
  $im=trim($im);$im=str_replace('^','',$im);$im=str_replace('>','',$im); // из имени уберем служебные символы
  
  if (strpos($im,"=")>0)         // если наименование и имя файла не совпадают - было изменение имени
   {list($im, $im1) = explode('=',$im);}  // выделим старое и новое имя
  else                           // изменения имени не было  
   {$im1=$im;}                   // новое имя=сьарое имя
   if (substr($l[$i],0,1)=="*")  // коментарии пропускмем
    {}
   else if (substr($l[$i],0,2)=="^>")  // если начало подгруппы
    {$pgr=$im1."_";                    // сформируем имя подгруппы  
//echo $pgr;
    if (true)     // подгруппа открыта
     {$tt='&nbsp;&nbsp<nobr><IMG onClick=c("menu.php?r='.$i.'&vis='.$vis.'&utf8='.$utf8.'")  title="'.$tit.'" src="d~e~f/minus.gif" border=0>&nbsp;<b><u title="'.$tit.'">'.$im.'</u></b></nobr><br>';
     echo $tt; }
    else  // подгруппа закрыта
     {$tt='&nbsp;&nbsp<IMG onClick=c("menu.php?r='.$i.'&vis='.$vis.'&utf8='.$utf8.'") title="'.$tit.'"  src="d~e~f/plus.gif" border=0>&nbsp;<b><u title="'.$tit.'">'.$im.'</u></b><br>';  
     echo $tt;
     for ($ii = $i+1; $ii <= $k; $ii++) 
      {if (substr($l[$ii],0,4)!="^^^^")  {$i=$ii-1;  break;}}}}  //  если  подгруппа группа закончилась
       else if (substr($l[$i],0,1)==">")  //  если  первая группа и она открыта
        {$gr=$im1."_";$pgr="";
        if (true)
         {$tt='<nobr><IMG onclick=c("menu.php?r='.$i.'&vis='.$vis.'&utf8='.$utf8.'") title="'.$tit.'" src="d~e~f/minus.gif" border=0>&nbsp;<b><u title="'.$tit.'">'.$im.'</u></b></nobr><br>';
          $gr=$im1."_";$pgr="";
          echo $tt; }
        else
         {$tt='<IMG language=JavaScript onclick=c("menu.php?r='.$i.'&vis='.$vis.'&utf8='.$utf8.'") title="'.$tit.'" src="d~e~f/plus.gif" border=0>&nbsp;<b><u title="'.$tit.'">'.$im.'</u></b><br>';
         echo $tt;
         for ($ii = $i+1; $ii <= $k; $ii++) 
          {if (substr($l[$ii],0,1)!="^")  
		    {$i=$ii-1;$pgr="";break;}}}}  //  если группа закончилась
           else  // страница
            {
            if (substr($l[$i],0,1)!="^")  {$$gr=""; $pgr="";}
             $kp=strrpos($l[$i],'^'); // кол пробелов 
             if ($kp===false) 
              {
              if (substr($tit,0,1)!="*")
               {
               $tt='<nobr><A onclick=q1(this) title="'.$tit.'" target=_blank href="pages/'.tr($im1).'.php">'.$im.'</A></nobr><br>';
               echo $tt;
               }
               }
              else
               {
               if ($kp==0)
   {echo str_repeat('&nbsp;', $kp+3);}
   else
    {echo str_repeat('&nbsp;', $kp+3);}
   if (substr($tit,0,1)!="*")
	{$tt='<nobr><A  onclick=q1(this) title="'.$tit.'" target=_blank href="pages/'.tr($gr).tr($pgr).tr($im1).'.php">'.$im.'</A></nobr><br>';
	echo $tt; }
	}
	}}

	
//***************************************************************************************************
// если есть подсказка на группах  и она заканчивается  / поместим  имя группы на горизонтальное мени 
//и сформируем страницу дерева для показа его прищелчке по горизонтальному меню
//***************************************************************************************************
$h = fopen("plan/bce.htm", 'w+') or exit;	//открыли или  создали файл  плана сайта
$h1 = fopen("plan/bce1.htm", 'w+') or exit;	//открыли или  создали файл  плана сайта
fwrite($h1,'<div id=z0 style="display:none;OVERFLOW: scroll;height:400px;width:250px"><table border=0><tbody><tr><td>&nbsp</td><td id=zz0>'."\r\n");
$kat=getcwd ( );		 		// рабочий каталог 
$l = file($kat."/menu/pages.txt");
$k=count($l)-1;
$gr="";  // имя группы
$pgr=""; // имя подгруппы
$start=false;
$mz = array();
$iii=0;
$kk=0;
for ($i = 0; $i <= $k; $i++)    // для каждой строки из файла  menu/pages.txt
{
 if (strpos($l[$i],'/')>0)       // если есть титло
  {list($im, $tit) = explode('/',$l[$i]);
  $tit=trim($tit);}
 else                           // титла нет
  {$im=$l[$i];$tit="";}
  $im=trim($im);$im=str_replace('^','',$im);$im=str_replace('>','',$im);  // уберем из строки сл символы
  if (strpos($im,"=")>0)                      // если наименование и имя файла не совпадают
   {list($im, $im1) = explode('=',$im);}
  else
  {$im1=$im;}
  if (substr($l[$i],0,1)=="*")                // коментарии пропускмем
   {}
   //*********************************
   //  если очередная строка подгруппа
   //*********************************
  else if (substr($l[$i],0,2)=="^>")          
   {
   if ($pgr!="")                              // если это подгруппа открыта
    { $w= '</div>';                            //  закроем ее
    fwrite($h,$w);}
    $pgr=$im1."_";
    $w='&nbsp;&nbsp<nobr><IMG id=ss'.$kk.' onclick="c('."'s".$kk."',this".')" title="'.$tit.'" src="../d~e~f/plus.gif" border=0>&nbsp;<b><u title="'.$tit.'">'.$im.'</u></b></nobr><br>';
    fwrite($h,$w."\r\n");
    $w='&nbsp;&nbsp<nobr><IMG title="'.$tit.'" src="../d~e~f/minus.gif" border=0>&nbsp;<b><u title="'.$tit.'">'.$im.'</u></b></nobr><br>';
    fwrite($h1,$w."\r\n");
    $w= '<div id=s'.$kk++.' style="display:none">';
    fwrite($h,$w."\r\n");
    }  
    //**************
    //  если  группа
    //**************
   else if (substr($l[$i],0,1)==">")           //  если  группа
    {
    if ($gr!="")                               // если группа открыта
    {$w= '</div>';                            //  закроем ее
     fwrite($h,$w);
	}
    if ($pgr!="")                              // если подгруппа открыта
    {
	 $w= '</div>';                            //  закроем ее
     fwrite($h,$w);
	}
    $gr=$im1."_";$pgr="";
    $mmm=explode('/',$l[$i]);
    if (count($mmm)>=3)                      // если на гор меню группу
    {
     $mz[$iii++]=$im; $im=$im."_";
    }
//$w= '<b></b><nobr><IMG id=gg'.$kk.' onclick="c('."'g".$kk."',this".')"  title="'.$tit.'" src="../Default.aspx_files/plus.gif" border=0>&nbsp;<b><u>'.$im.'</u></b></nobr><br>';
    $w= '<nobr><IMG id=gg'.$kk.' onclick="c('."'g".$kk."',this".')"  title="'.$tit.'" src="../d~e~f/plus.gif" border=0>&nbsp;<b><u title="'.$tit.'">'.$im.'</u></b></nobr><br>';
    fwrite($h,$w."\r\n");
    $w= '<b></b><nobr><IMG  title="'.$tit.'" src="../d~e~f/minus.gif" border=0>&nbsp;<b><u title="'.$tit.'">'.$im.'</u></b></nobr><br>';
    fwrite($h1,$w."\r\n");
    $w= '<div id=g'.$kk++.' style="display:none">';
    fwrite($h,$w."\r\n");
    } 
    //*****************
    //  если  страница
    //*****************
   else  
   {
    if (substr($l[$i],0,1)!="^")  //  если это страница вне группы или подгруппы
    {
    if ($pgr!="")                 // если подгруппа открыта
    {$w= '</div>';                //  закроем ее
     fwrite($h,$w);}
     if ($gr!="")                 // если группа открыта
     {                           
      fwrite($h,"</div>");        // закроем ее в меню
      fwrite($h1,"<b></b>\r\n");
     }  
     $gr=""; $pgr="";             // закроем группу и подгруппу в программе
    }
    if (substr($tit,0,1)!="*")    // если страницу показывать
    {
	$kp=strrpos(' '.$l[$i],'^');     // кол пробелов 
	
	if ($kp!=0)                  // есть
     {
	 //echo $kp;
	 if ($kp==4)
	 {$w= str_repeat('&nbsp;', $kp+2); }
	 else
	 {
      $w= str_repeat('&nbsp;', $kp+3); // вставим пробелы
      }
	  fwrite($h,$w);
      fwrite($h1,$w);
     }
  //{
	$w= '<nobr><A  class=menul href="#" title="'.$tit.'" onclick="q1('. "'".'../pages/'.tr($gr.$pgr.$im1).'.php'."'".',this)">'.$im.'</A></nobr><br>';
	fwrite($h,$w."\r\n");
	fwrite($h1,$w."\r\n");
}}}
if ($pgr!="")                 // если подгруппа открыта
{
fwrite($h,'</div>'."\r\n");
}
if ($gr!="")                 // если группа открыта
{
fwrite($h,'</div>'."\r\n");
}
//fwrite($h,'</div></div>'."\r\n");
fclose($h); 					// закрыли файл
fwrite($h1,'<b></b></td><td>&nbsp;</td></tr></tbody></table></div>'."\r\n");
fclose($h1); 					// закрыли файл
	

//******************************************
//  сформируем линейку горизонтального меню
//******************************************
$pln = fopen(getcwd ( )."/plan/plan.htm", 'w') or exit;	// структуру новую в гор линейку меню главной страницы 
$i=0;
fwrite($pln,'<a class=menu href=#><b  onclick="pgm('.$i++.')" title="Карта сайтв">&nbsp;ВСЕ&nbsp;</b></a>'."\r\n");
foreach ($mz as $val) 
{
fwrite($pln,'<a class=menu href=#><b onclick="pgm('.$i++.')">&nbsp;'.$val.'&nbsp;</b></a>'."\r\n");
}
fclose($pln);
//**************************************************
// сфоримуем файл  все2  где располагаются все группы
//***************************************************
$ww= file_get_contents ($kat."/plan/bce1.htm");
$mgm=explode("<b></b>",$ww);
$k=count($mgm)-1;
$h2 = fopen("plan/bce2.htm", 'w+') or exit;	//открыли или  создали файл  плана сайта
$ngm=1;
for ($i = 1; $i <= $k-1; $i++) 
{
if (strpos($mgm[$i], '_</u></b></nobr><br>')>0)
{
fwrite($h2,'<div id=z'.$ngm++.' style="display:none;OVERFLOW: scroll;height:400px;;width:250px"><table border=0><tbody><tr><td>&nbsp</td><td id=zz0>'."\r\n");
fwrite($h2,$mgm[$i]);
fwrite($h2,'</td><td>&nbsp</td><tr></tbody></table></div>'."\r\n");
}
}
fclose($h2);



?>
<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
</nobr>




</div>

</td>

<td valign=top id=cen>
<textarea name=stru wrap=off >
<?php 

include "menu/pages.txt"; ?>
</textarea>
<center><input type="submit" value="сохранить" 
title="щелкни меня после завершения редактирования файла для сохранения сделанных изменений">&nbsp;&nbsp;&nbsp;
<?php echo '<A title="Щелкни меня для изменения структуры сайта на основании измененного файла структуры" href="menu.php?new=1&utf8='.$utf8.'"><b onclick=rep2()>Принять изменненную структуру сайта</b></a>'; ?></center>
<input type=hidden name="r" value="<?php  echo $r; ?>">
<input type=hidden name="vis" value="<?php  echo $vis; ?>">
<input type=hidden name="utf8" value="<?php  echo $utf8; ?>">
</form>
</td>
<td width=100% valign=top>
<DIV style="OVERFLOW: scroll; HEIGHT: 50%" align=left>
<center><b style="background:silver;width:100%">ДЛЯ: ДОБАВЛЕНИЯ, УДАЛЕНИЯ, ИЗМЕНЕНИЯ СТРАНИЦ ГЛАВНОЙ СТРАНИЦЫ САЙТА ОТРЕДАКТИРУЙ ФАЙЛ СТРУКТУРЫ:</b></center>
<li>Структура состоит из следующих объектов: <b>СТРАНИЦ, ГРУПП, ПОГРУПП, КОМЕНТАРИЕВ</b>.
<li><b>СТРАНИЦА:</b> строка, в котрой наименование страницы введено с начала строки.
<li><b>ГРУППА:</b> >наименование группы.
<li><b>СТРАНИЦЫ ГРУППЫ:</b> ^наименование страницы.
<li><b>ПОДГРУППЫ:</b> ^>наименование подгруппы.
<li><b>СТРАНИЦЫ ПОДГРУППЫ:</b> ^^^^наименование страницы.
<li><b>КОМЕНТАРИЙ</b>: текст, который начинается с *.
<li><b>ПОДСКАЗКА ВСПЛЫВАЮЩАЯ:</b> /текст подсказки .
<li><b>Во всех наименованиях вместо пробела используй символ подчеркивания.</b>
<hr>
<center><b style="background:silver;width:100%">ПРИ НЕОБХОДИМОСТИ:</b></center>
<li>Добавь строки стрниц, групп , подгрупп.
<li>Удали строки с удаляемыми страницами, группами, подгруппами.
<li>Измени порядок строк.
<li>Для скрытия страницы (исключения из структуры без удаления) введи первым символом подсказки символ *.
<li>Для помещения наименования группы на линейку горизонтального меню после, или вместо всплывающей подсказки, введи символ /.
<li>Сохрани сделанные изменения щелчком по кнопке "Сохранить".
<li>Щелкни "Принять изменненную структуру сайта".
<hr>
<font color=red><center><b style="background:silver;width:100%">В А Ж Н О :</b></center>
<li>СИМВОЛ = ИСПОЛЬЗУЙ ТОЛЬКО ДЛЯ РАЗДЕЛЕНИЯ НОВОГО И СТАРОГО НАИМЕНОВАНИЯ
<li>В ИМЕНАХ ПРОБЕЛ ЗАМЕЩАЕТСЯ СИМВОЛОМ _.
<li>ЗАПРЕЩЕНО РАСПОЛОГАТЬ ПОДРУППЫ ВНЕ ГРУПП И СТРАНИЦЫ В ГРППЕ, НО ВНЕ ПОДГРУПП.
</font>
<li><font color=red>ВНИМАНИЕ ! <b>Удаленные страницы не восстановливаются!</b> Будьте внимательны.
<li>ВНИМАНИЕ ! При изменении наименований в файле структуры объеты структуры с старыми именами будут УДАЛЕНЫ БЕЗВОЗВРАТНО !
<li>Для <b>ПРАВИЛЬНОГО ИЗМЕНЕНИЯ НАИМЕНОВАНИЯ</b> существующего объекта измени наименование следующим образом:
<b> новое наименование=старое наименование</b></font></div>
<center><b style="background:silver;color:white;width:100%">Сообщения &nbsp;(исправление)</b></center>
<DIV style="OVERFLOW: scroll; HEIGHT: 45%" align=left id=rep2>
<?php
if ($os!="") {echo "<font color=red size=4>Изменение отвергнуто - обнаружены следующие ошибки:</font><li>"; 
echo $os; echo "<font color=red size=4>Исправь ошибки и повтори попытку изменения структуры</font>";}
else
{if ($repo!="") {echo $repo;} else {echo "<b>Изменения в именах выполнены !</b><br>";}}
?>
</div>

</TD>
</td>
</tr></tbody></table>
</div>
<a id=per target=_blank style="visibility:hidden" href=#>+++</a>
</body>

<script language="VBS">
</script>


<script  type="text/javascript">
w=<?php   if (isset($_GET['scr'])) {echo trim($_GET['scr']);} else {echo "0";} ?>;
obj=document.all["k"];
obj.scrollTop=w;
i=0;
while (obj.scrollTop!=w)
{obj.scrollTop=w; i=i+1; if (i>17) {break;} 
}
obj.style.visibility="";
form.elements("stru").style.height=cen.offsetHeight-40
form.elements("stru").style.width=cen.offsetWidth

function c(p)
{
//window.location =p+"&scr="+document.all["k"].scrollTop;
}


function q1(jj)
{devdate=new Date();
var dy="";
// Получить год(из 4 цифр)
dy=devdate.getFullYear()
var dm="";
//Получить месяц, от 0 до 11.
dm=devdate.getMonth()+1
var dc="";
//Получить число месяца, от 1 до 31.
dc=devdate.getDate();
var cd="";
//номер дня в неделе. Неделя  начинается с воскресенья 0(воскресенье) до 6(суббота).
dd=devdate.getDay();
var dp=""
dp=dy+"-"+dm+"-"+dc+"-"+dd
//obj=document.all["per"];
//alert(jj.href)
jj.href=jj.href+"?td="+ dp
//obj.click()
}
function rep2()
{
document.getElementById("h").style.visibility="visible"
document.getElementById("rep2").innerHTML='<b><MARQUEE style="WIDTH: 100%;color:red" behavior=alternate>ЖДИТЕ (WAIT)...</MARQUEE></b>'
}

</script>

</html>